Home

# Library goog.dom.dataset

Function Summary
| `get(?Element element, string key) ⇒ ?string` Gets a custom data attribute from an element. The key should be in camelCase format (e.g "keyName" for the "data-key-name" attribute).
| `has(?Element element, string key) ⇒ boolean` Checks whether custom data attribute exists on an element. The key should be in camelCase format (e.g "keyName" for the "data-key-name" attribute).
| `remove(?Element element, string key)` Removes a custom data attribute from an element. The key should be in camelCase format (e.g "keyName" for the "data-key-name" attribute).
| `set(?Element element, string key, string value)` Sets a custom data attribute on an element. The key should be in camelCase format (e.g "keyName" for the "data-key-name" attribute).